#pragma once
#include "global.h"
#include "MyStructDef.h"
class CPxaEditorDraw : public CDialog
{
	DECLARE_DYNAMIC(CPxaEditorDraw)
	DECLARE_MESSAGE_MAP()
public:
	CPxaEditorDraw(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~CPxaEditorDraw();
	// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CPXAEDITOR_DRAW };
#endif
	void* pParentEditor = nullptr;
	MyView* GetMyView();
	void Draw();
	void Load(CString filename);//载入贴图png文件
	void ResetContext();
	int GetCopyPxa();
	void SetCopyPxa(int pxa);
	void UpdateGrid();//更新网格
protected:
	void DoDataExchange(CDataExchange* pDX) override;
	BOOL OnInitDialog() override;
public:
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnPaint();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg BOOL OnMouseWheel(UINT nFlags, short zDelta, CPoint pt);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
private:
	//渲染器
	MyDX11Renderer pRenderer;
	MyView view;
	//载入的贴图
	MyTextureAndSRV tas;
	MyTextureAndSRV tas_pxatype;
	void DrawPxa();
};

